#version 330 core

uniform sampler2D u_tex0;

in  vec4 vColor; // Vertex color.
in  vec2 vTexCoord; // Texture coordinate.
out vec4 fragColor;

void main() {
	fragColor = vColor * texture2D(u_tex0, vTexCoord);
}
